javax.security.auth.message.callback

## Class CertStoreCallback

- java.lang.Object
- - javax.security.auth.message.callback.CertStoreCallback

- All Implemented Interfaces:
    javax.security.auth.callback.Callback

      public class CertStoreCallback
      extends java.lang.Object
      implements javax.security.auth.callback.Callback

  Callback that enables a runtime to inform authentication modules of the CertStore to use.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertStoreCallback()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.security.cert.CertStore` | `getCertStore()`
    `void` | `setCertStore(java.security.cert.CertStore certStore)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertStoreCallback

          public CertStoreCallback()

  - ### Method Detail

    - #### setCertStore

          public void setCertStore(java.security.cert.CertStore certStore)

    - #### getCertStore

          public java.security.cert.CertStore getCertStore()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.